<?php

use Illuminate\Support\Facades\Route;

// 好友-预览
Route::get('/overview', 'V2_17_3\Friends\FriendController@overview');
// 好友列表未读概览
Route::get('/unread/overview', 'V2_17_3\Friends\FriendController@getListCnt');

// 列表-全部好友
Route::get('/all/list', 'V2_17_3\Friends\FriendController@getAllList');
// 列表-相互心动好友
Route::get('/eachlike/list', 'V2_17_3\Friends\FriendController@getEachLikeList');
// 列表-星标好友
Route::get('/star/list', 'V2_17_3\Friends\FriendController@getStarList');

// 列表-全部申请
Route::get('/apply/all/list', "V2_17_3\Friends\ApplyController@getAllList");
// 列表-发出的申请
Route::get('/apply/send/list', "V2_17_3\Friends\ApplyController@getSendList");
// 列表-收到的申请
Route::get('apply/receive/list', "V2_17_3\Friends\ApplyController@getReceiveList");

// 发起好友申请
Route::post('apply/send', "V2_17_3\Friends\ApplyController@send");

// 同意好友申请
Route::get("apply/{apply_uid}/agree", "V2_17_3\Friends\ApplyController@agree");

// 交互历史
Route::get("/{friend_uid}/history", "V2_17_3\Friends\FriendController@getHistory");